using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Configuration;
using System.IO;
namespace baoge.Admin
{
	/// <summary>
	/// Admin_EditLink 的摘要说明。
	/// </summary>
	public class Admin_EditLink : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox sitename;
		protected System.Web.UI.WebControls.DropDownList ChannelID;
		protected System.Web.UI.WebControls.TextBox dizhi;
		protected System.Web.UI.WebControls.TextBox logo;
		protected System.Web.UI.WebControls.TextBox jianjie;
		protected System.Web.UI.WebControls.Button Button1;
		public int i;
		public int CID;
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
			}
			if(!IsPostBack)
			{
				ChannelDataBind();
				CDataBind();
			}
		}



		private void ChannelDataBind()
		{
	

			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义数据库连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库连接对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			ACconn.Open();
			string ACsql="select id,name from linklei";
			OleDbDataAdapter ACda=new OleDbDataAdapter(ACsql,ACconn);
			DataTable ACdt=new DataTable();
			ACda.Fill(ACdt);

			//频道的数据绑定
			ChannelID.DataSource=ACdt;
			ChannelID.DataTextField="name";
			ChannelID.DataValueField="id";
			ChannelID.DataBind();
		
			ACda.Dispose();
			//			if(this.ChannelID.Items.Count==0)
			//			{
			//			   this.ChannelID.Items[0].Value="其它";
			//			}
			ACconn.Close();

		}




		private void CDataBind()
		{
			
			int CID=Convert.ToInt32(Request.QueryString["linkid"].Trim());
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//取得所需操作的记录ID

				//定义SQL语句
				string ACsql="select * from link where linkid="+CID;
				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//通过执行Command实例化DataReader类
				OleDbDataReader ACdr=ACcomm.ExecuteReader();
				string i=Convert.ToString(this.ChannelID.SelectedItem);
				int j=Convert.ToInt32(this.ChannelID.SelectedValue);
				if(ACdr.Read())
				{
					this.sitename.Text=ACdr["sitename"].ToString();
					
//					this.ChannelID.SelectedItem.ToString()=ACdr["name"].ToString();
					this.dizhi.Text=ACdr["dizhi"].ToString();
					this.logo.Text=ACdr["logo"].ToString();
					this.jianjie.Text=ACdr["jianjie"].ToString();
					i=ACdr["name"].ToString();
					j=(int)ACdr["id"];
					
					
					ACdr.Close();

				}
				else
				{
					Response.Write("对不起，请先填加信息");
				}
			
			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();

			}
	}
		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			
	        
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库连接对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//操作数据库
			try
			{
			
				int CID=Convert.ToInt32(Request.QueryString["linkid"].Trim());
				ACconn.Open();

				//          string ACsqlI="insert into Article(ClassID,ChannelID,Title,LinkUrl,Hits,Content,Intro,Author,MY_Email,CopyFrom,MY_Site,Inputer,MY_QQ,UpdateTime,iscmd,ishot,uploadpic,ispic) values ('"+ParentID.SelectedValu)";
				//定义所需SQL
				string ACsql="Update  link set id='"+this.ChannelID.SelectedValue+"',sitename='"+sitename.Text+"',name='"+this.ChannelID.SelectedItem+"',dizhi='"+dizhi.Text+"',logo='"+logo.Text+"',jianjie='"+jianjie.Text+"' where linkid="+CID;

				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				ACcomm.ExecuteNonQuery();
				Response.Write("<script>alert('链接成功更新');</script>");
				//Response.Write(ACsql);
				


			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();
			}
		}

		
	}
}
